import BasePage from '../BasePage'
import {getCurrentInstance, nextTick, onMounted, reactive, toRefs} from "vue";
import {useRoute} from 'vue-router'

export default function () {
    const page = {}
    const basePage = BasePage(page)
    const data = reactive({
        ...toRefs(basePage.data),
        pageInfo: {type: "EditTab"},
        activeName: "head",
        activeNameOrign: "",
        isAdd: true,
        row: null,
    })

    const route = useRoute()
    const {proxy} = getCurrentInstance();

    page.data = data
    page.data.pageInfo.type = 'EditTab'

    onMounted(() => {
        // if(this.mode=="none"){
        //     return
        // }
        page.data.activeNameOrign = page.data.activeName;
        // let editConfig = page.context.getContextPage()?.data?.editConfig;
        if (page.editPage?.pagePopType.popType == "router") {
            let row = route.query.row;
            if (row) {
                page.data.isAdd = false
                page.edit(row);
            } else {
                page.add();
            }
            page.showed();
        }
    })

    page.edit = function (row, state) {
        page.data.row = row;
        page.data.tabLock = false;
        nextTick(() => {
            nextTick(() => {
                nextTick(() => {
                    if (page.editPage) {
                        page.editPage.edit(row, state)
                    }
                })
            })
        })
    }

    page.add = function (state) {
        page.data.row = null;
        nextTick(() => {
            nextTick(() => {
                nextTick(() => {
                    if (page.editPage) {
                        page.editPage.showAdd(state)
                    }
                })
            })
        })
    }
    page.save = function (state) {
        page.editPage && page.editPage.save(state)
    }
    page.del = function (state) {
        page.editPage && page.editPage.del(state)
    }

    page.headSave = function (row, isAdd) {
        page.data.dataChanged = true;
        page.data.row = row;
        page.data.isAdd = false;
        page.headSaveXT(row, isAdd);
        //如果是page，通知父窗体更新
        if (page.pagePopType.popType == "page") {
            page.context.parent?.onDataChanged()
        }
        if (page.headSaved) {
            page.headSaved(row, isAdd);
        }

    }

    page.headSaveXT = function (row, isAdd) {
        page.setHeadRowSub(row);
    }

    page.headAdd = function (state) {
        page.data.row = null;
        page.data.isAdd = true;
        page.pageClear();
        page.setHeadRow(null);
        page.data.activeName = "head"
    }
    page.show = function (row, state) {
        page.baseShow(row, state);
    }

    page.baseShow = async function (row, state) {
        //判断当前界面是否有编辑界面的，弹框是最小化
        if (page.pagePopType.popType != 'page') {
            const ret = page.dialogOpen()
            //如果有最小化的dialog，就直接打开了
            if (ret == false) {
                return
            }

        }

        page.context.parent = page.context.getContextPage()
        // this.dataVersion = null;
        let options = {};

        if (page.data.activeNameOrign) {
            page.data.activeName = page.data.activeNameOrign;
        }

        // options = eci.extend({}, page.data.dialogConfig, options);
        //
        // if (page.data.dialogConfig.keepSize && page.data.dialogConfig.hasOpened) {
        //     //页面size保持
        // } else {
        //     page.data.dialogConfig.hasOpened = true;
        //     eci.open(this, options)
        // }

        page.data.dataChanged = false;

        page.data.visible = true
        //在tab界面的时候，业务系统会出现当前的row，需要重新到数据库查询的情况。
        if (page.getRowData) {
            let rowData = await page.getRowData(row)
            if (rowData) {
                row = rowData
            }
        }

        if (row) {
            page.data.isAdd = false;
            page.data.tabLock = false
            page.edit(row, state);
        } else {
            page.data.isAdd = true;
            page.data.tabLock = true;
            page.add(state);
        }

        page.data.visible = true

        page.setTitle();

        nextTick(() => {

            for (let index in page.context.children) {
                let child = page.context.children[index]
                if (child.data.pageInfo.type == "QueryPage") {
                    child.reset();
                }

                if (child.sub) {
                    child.setHeadRow(row)
                    row && child.search && child.search()
                }
            }

            if (page.showed) {
                page.showed(row, state);
            }
        });
    }
    page.setTitle = function () {
        if (page.data.bizName == undefined || page.data.bizName == "") {
            return;
        }

        let defaultName = t("tg.page.tgPage.editPage.M00074");   //数据
        let addName = t("action.add");// "新增";
        let editName = t("action.edit");//"编辑";

        page.data.title = (page.data.bizName ? page.data.bizName : defaultName) + "-" + (page.data.isAdd ? addName : editName);
    }
    page.beforeLeave = function (activeName, oldActiveName) {
        if (activeName == "close") {
            page.close();
            return false;
        } else {
            return true;
        }
    }
    page.selectTab = function (obj) {

        page.layout();

        page.selectTabed()
    }

    page.selectTabed = function (obj) {

    }

    page.endEdit = function (state) {
        page.context.getContextPage().endEdit && page.context.getContextPage().endEdit(state);
    }

    page.headChanged = function () {

    }

    return {
        page
    }
}
