//i18n封装方法
//!!!!!禁止直接使用$t方法,!!!!!
//t('action.add') 直接使用访问代码,如果没有则范围访问代码 action.add,推荐使用,这样子如果没有维护
//tm('action.add','新增')使用访问代码,如果没有则范围memo 新增
//tmn('action.add','新增','tg')增加第三个参数命名空间,实际访问代码是 tg.action.add,基本不用
import {tm} from '@i18nHelper'

export const searchFormSchema = [
    {
        // label: t('appGen.params:{aa}{bb}{cc}{dd}{ee}', {aa: 'a', bb: 'b', cc: 'c', dd: 'd', ee: 'e'}), //显示中文名
        // label: t('appGen.{0}test{0},{1}', ['aaa', 'bbb']), //显示中文名
        label: tm('appGen.custCode', '代码'), //显示中文名
        field: "custCode", //字段名称
        span: 6, //控件占位长度
        labelWidth: "100px", //label占用长度
        show: true, //是否显示该控件
        query: "auto", //查询配置
        component: "Input", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
        componentProps: {
            //组件属性对象
            dataType: "BASE_SETTLEMENT", //放大镜，下拉框的数据来源
            placeholder: "代码", //背景提示文本,
            multiple: false,//多选
            // dataCustom: "1|在用,2|停用,3|删除"
        },
    },
    {
        label: tm('appGen.name', '名称'), //显示中文名
        field: "name", //字段名称
        span: 6, //控件占位长度
        labelWidth: "100px", //label占用长度
        show: true, //是否显示该控件
        query: "auto", //查询配置
        component: "Input", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
        componentProps: {
            //组件属性对象
            dataType: "", //放大镜，下拉框的数据来源
            placeholder: "名称", //背景提示文本
            focusSelect: true,//自动全选
        },
    },

    {
        label: tm('appGen.detail', ''), //显示中文名
        field: "detail", //字段名称
        columnCode: 'detail',
        span: 6, //控件占位长度
        labelWidth: "80px", //label占用长度
        show: true, //是否显示该控件
        query: "auto", //查询配置
        component: "Choose", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
        componentProps: {
            //组件属性对象
            dataType: "BASE_TRADE", //放大镜，下拉框的数据来源
            placeholder: "gNo", //背景提示文本
            validate: true
            // codeBehind: true,//

        },
    },
    // {
    //     label: tm('appGen.createTime', 'createTime'), //显示中文名
    //     field: "createTime", //字段名称
    //     span: 6, //控件占位长度
    //     labelWidth: "100px", //label占用长度
    //     show: true, //是否显示该控件
    //     query: "auto", //查询配置
    //     component: "DateRange", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
    //     componentProps: {
    //         //组件属性对象
    //         dataType: "", //放大镜，下拉框的数据来源
    //         placeholder: "", //背景提示文本
    //         // focusSelect: true,//自动全选
    //     },
    // },
    // {
    //     label: "创建时间", //显示中文名
    //     field: "createTime", //字段名称
    //     columnCode: "createTime", //字段名称
    //     span: 6, //控件占位长度
    //     labelWidth: "250px", //label占用长度
    //     show: true, //是否显示该控件
    //     query: "auto", //查询配置
    //     component: "DatePicker", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
    //     componentProps: {
    //         //组件属性对象
    //         type: "month",
    //         format: 'YYYY-MM-DD',//显示格式
    //         valueFormat: 'YYYY-MM',//绑定值的格式
    //     },
    // },
    // {
    //     label: "gNo(不校验)", //显示中文名
    //     field: "gNo", //字段名称
    //     span: 6, //控件占位长度
    //     labelWidth: "100px", //label占用长度
    //     show: true, //是否显示该控件
    //     query: "auto", //查询配置
    //     component: "Choose", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
    //     componentProps: {
    //         //组件属性对象
    //         dataType: "BASE_TRANSF", //放大镜，下拉框的数据来源
    //         placeholder: "gNo", //背景提示文本
    //         validate: false
    //     },
    // },
    {
        label: tm('appGen.gNo', ''), //显示中文名
        field: "gNo", //字段名称
        span: 6, //控件占位长度
        labelWidth: "100px", //label占用长度
        show: true, //是否显示该控件
        query: "auto", //查询配置
        component: "ChooseEx", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
        componentProps: {
            //组件属性对象
            dataType: "BASE_TRADE", //放大镜，下拉框的数据来源 BASE_TRADE BASE_TRANSF
            placeholder: "gNo", //背景提示文本，
            focusSelect: true,//获取焦点自动全选
            isSort: true,//查询以后数据排序：从左边开始匹配
            isCache: true,
            validate: true
        },
    },

    // {
    //     label: "日期", //显示中文名
    //     field: "rq", //字段名称
    //     columnCode: 'rq',
    //     span: 12, //控件占位长度
    //     show: true, //是否显示该控件
    //     query: "auto", //查询配置
    //     component: "DateRange", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
    //     componentProps: {
    //         //组件属性对象
    //         dataType: "", //放大镜，下拉框的数据来源
    //         placeholder: "开始-结束", //背景提示文本
    //     },
    // },
    // {
    //     label: "日期时间", //显示中文名
    //     field: "rqsj", //字段名称
    //     columnCode: 'rqsj',
    //     span: 12, //控件占位长度
    //     labelWidth: "250px", //label占用长度
    //     show: true, //是否显示该控件
    //     query: "auto", //查询配置
    //     component: "DateTimeRange", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
    //     componentProps: {
    //         //组件属性对象
    //         dataType: "", //放大镜，下拉框的数据来源
    //         placeholder: "开始-结束", //背景提示文本
    //     },
    // },

];

export const columns = [
    {
        label: tm('appGen.id', '主键id'),
        field: "id",
        show: false,
        width: "100px",
        export: true,
        fixed: true,
        // 是否默认显示序号列
        columnNumber: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,

        },
    },
    {
        label: tm('appGen.name', '名称'),
        field: "name",
        show: true,
        width: "160px",
        export: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: true,
            // sortField: "B.NAME",//"B.NAME"
        },
    },
    {
        label: tm('appGen.price', '单价'),
        field: "price",
        show: true,
        width: "160px",
        export: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: true,
            // sortField: "B.NAME",//"B.NAME"
        },
    },
    {
        label: tm('appGen.custCode', '代码'),
        field: "custCode",
        show: true,
        width: "160px",
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: true,
            // sortField: "B.CUST_CODE",//"B.NAME"
        },
    },
    {
        label: tm('appGen.iEFlag', 'ieFlag'),
        field: "iEFlag",
        show: true,
        width: "160px",
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: true,
        },
    },
    {
        label: tm('appGen.iEFlag', 'ieFlagName'),
        field: "iEFlagName",
        show: true,
        width: "160px",
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: true,
        },
    },
    {
        label: tm('appGen.usedFlag', 'usedFlag'),
        field: "usedFlag",
        show: true,
        width: "160px",
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },

    {
        label: tm('appGen.gNo', 'gNo'),
        field: "gNo",
        show: true,
        sort: false,
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('appGen.detail', '详细'),
        field: "detail",
        show: true,
        width: "160px",
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    }

];
